For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • GETGet all property lists
        • GETGet a property list by ID
        • PUTUpdate Property Custom Data: Rentvine
        • POSTCreate Property File: Rentvine
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RentvineProperties

Get a property by ID

GET
/v1/properties/:id
GET
/v1/properties/:id
$curl https://api.propexo.com/v1/properties/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "address_1": "123 Main St",
13 "address_2": "Suite 4B",
14 "associated_owner_ids": [
15 "cm22cddpn4040140560i3ijyc1a8u1eh"
16 ],
17 "building_number": null,
18 "city": "Boston",
19 "code": null,
20 "country": "US",
21 "county": "Suffolk",
22 "created_at": "2024-03-21T15:38:08.337Z",
23 "custom_data": {},
24 "id": "clwktsp9v000008l31iv218hn",
25 "integration_id": "clwh5u07w000508me66sfh3um",
26 "integration_vendor": "RENTVINE",
27 "is_active": true,
28 "last_seen": "2024-03-22T10:59:45.119Z",
29 "long_description": null,
30 "manager_email": "manager@greenwoodapartments.com",
31 "manager_name": "Jane Doe",
32 "manager_phone_1": null,
33 "manager_phone_1_type": null,
34 "manager_phone_2": null,
35 "manager_phone_2_type": null,
36 "name": "Greenwood Apartments",
37 "notes": "Recently renovated common areas and updated HVAC systems.",
38 "number_of_units": 10,
39 "office_hours": [
40 {
41 "day_of_week": "MONDAY",
42 "open_time": "09:00",
43 "close_time": "17:00"
44 },
45 {
46 "day_of_week": "TUESDAY",
47 "open_time": "09:00",
48 "close_time": "17:00"
49 },
50 {
51 "day_of_week": "WEDNESDAY",
52 "open_time": "09:00",
53 "close_time": "17:00"
54 },
55 {
56 "day_of_week": "THURSDAY",
57 "open_time": "09:00",
58 "close_time": "17:00"
59 },
60 {
61 "day_of_week": "FRIDAY",
62 "open_time": "09:00",
63 "close_time": "17:00"
64 }
65 ],
66 "pet_types": [
67 {
68 "name": "Dog",
69 "is_allowed": true,
70 "description": "Dogs up to 50 lbs allowed with a pet deposit.",
71 "notes": "No aggressive breeds allowed.",
72 "deposit_raw": "$300",
73 "deposit_in_cents": 30000,
74 "fee_raw": "$25/month",
75 "fee_in_cents": 2500,
76 "fee_min_raw": "$25",
77 "fee_min_in_cents": 2500,
78 "fee_max_raw": "$25",
79 "fee_max_in_cents": 2500,
80 "rent_amount_raw": "$25",
81 "rent_amount_in_cents": 2500
82 },
83 {
84 "name": "Cat",
85 "is_allowed": true,
86 "description": "Cats allowed with a pet deposit.",
87 "notes": "Limit 2 cats per unit.",
88 "deposit_raw": "$200",
89 "deposit_in_cents": 20000,
90 "fee_raw": "$15/month",
91 "fee_in_cents": 1500,
92 "fee_min_raw": "$15",
93 "fee_min_in_cents": 1500,
94 "fee_max_raw": "$15",
95 "fee_max_in_cents": 1500,
96 "rent_amount_raw": "$15",
97 "rent_amount_in_cents": 1500
98 }
99 ],
100 "property_id": "clwi5xiix000008l6ctdgafyh",
101 "short_description": null,
102 "square_feet": 8500,
103 "state": "MA",
104 "type_normalized": "MULTI_FAMILY",
105 "type_raw": "Apartment Complex",
106 "updated_at": "2024-03-22T10:59:45.119Z",
107 "website": "https://www.greenwoodapartments.com",
108 "x_building_id": null,
109 "x_created_at": "2024-03-20T12:00:00.000Z",
110 "x_id": "65",
111 "x_property_id": "87",
112 "year_built": 1995,
113 "zip": "02116",
114 "square_footage": null,
115 "street_address_1": null,
116 "street_address_2": null,
117 "type": null
118 }
119}
Get a property by ID
Was this page helpful?
Previous

Get all property lists

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error